cURL
curl --request GET \ --url https://agents.bigdata.com/v1/workflow/templates \ --header 'X-API-Key: <api-key>'
{ "templates": [ { "created_at": "2023-11-07T05:31:56Z", "id": "<string>", "is_community": true, "name": "<string>", "prompt": "<string>", "updated_at": "2023-11-07T05:31:56Z", "content_filter": { "all_of": [ { "document_ids": [ "<string>" ], "type": "<string>" } ], "any_of": [ { "document_ids": [ "<string>" ], "type": "<string>" } ], "none_of": [ { "document_ids": [ "<string>" ], "type": "<string>" } ] }, "description": "<string>", "expected_input": {}, "ranking_parameters": { "freshness_boost": 5, "source_boost": 5 }, "research_plan": { "title": "<string>", "steps": [ { "description": "<string>", "status": "NOT_STARTED" } ] } } ] }
List all workflow templates owned by the authenticated user.
Documentation IndexFetch the complete documentation index at: https://docs.bigdata.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
Use this file to discover all available pages before exploring further.
API key for authentication.
Successful Response
List of workflow templates.
Available templates.
Show child attributes
Was this page helpful?